/*
	DevSaver Web Framework
	Copyright (c) 2013-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/

var STBModuleBlog = Object.create(STBModule.prototype);

STBModuleBlog.name = "ModuleBlog";

STBModuleBlog.fixPostMeta = function() {
	var post = $(".post-meta");

	if (post.length > 0) {
		post.each(function() {
			if ($(this).find("li").length < 1)	{
				$(this).remove();
			}
		});
	}
}

STBModuleBlog.runOnContentUpdate = function() {
	STBModuleBlog.fixPostMeta();
}

STBModuleBlog.runOnReady = function () {
	STBModuleBlog.fixPostMeta();
}

site.registerModule(STBModuleBlog);
